Bug 13994 - mjw_IN: new locale
Summary: mjw_IN: new locale
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: localedata (show other bugs)
Version: unspecified
: P2 enhancement
Target Milestone: 2.27
Assignee: Mike FABIAN
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-19 06:47 IST by Jor Teron
Modified: 2017-10-19 14:13 IST (History)
6 users (show)

See Also:
Host:
Target:
Build:
Last reconfirmed:
fweimer: security-


Attachments
attachment for ka_IN locale (508 bytes, application/octet-stream)
2012-04-19 06:47 IST, Jor Teron
Details
karbi Languages locale for India (1.66 KB, text/plain)
2013-08-08 14:12 IST, Jor Teron
Details
mjw_IN (1.55 KB, text/plain)
2017-10-19 09:54 IST, Mike FABIAN
Details
attachment-33893-0.html (484 bytes, text/html)
2017-10-19 11:08 IST, Jor Teron
Details
attachment-69648-0.html (533 bytes, text/html)
2017-10-19 11:11 IST, Jor Teron
Details
attachment-116644-0.html (600 bytes, text/html)
2017-10-19 14:03 IST, Jor Teron
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jor Teron 2012-04-19 06:47:04 IST
Created attachment 6349 [details]
attachment for ka_IN locale

Dear maintainers,

Please find attached the locale definition for ka_IN to be
considered for inclusion in glibc.
Comment 1 Siddhesh Poyarekar 2012-10-23 12:41:33 IST
Please post this as a patch to the glibc localedata on libc-alpha mailing list using the following guidelines:

sourceware.org/glibc/wiki/Contribution checklist
Comment 2 Chris Leonard 2012-10-23 13:24:12 IST
The link provided does not work.
Comment 3 Chris Leonard 2012-10-23 13:25:49 IST
(In reply to comment #2)
> The link provided does not work.

  Sorry, it does work, but was broken by my e-mail client.
Comment 4 Andreas Jaeger 2012-11-16 10:46:37 IST
I don't think that "ka" is the right language tag from ISO 639 for Karbi. "ka" is reserved for Georgian.

According to http://en.wikipedia.org/wiki/Karbi_language it should be "mjw".

Can you confirm that mjw_IN would be the correct name for this and update the locale file for this?

Also, you just copy the values from hi_IN. Are the names of weekdays, months, "yes" and "no" etc. really the same?
Comment 5 Jor Teron 2013-08-08 14:08:42 IST
(In reply to Siddhesh Poyarekar from comment #1)
> Please post this as a patch to the glibc localedata on libc-alpha mailing
> list using the following guidelines:
> 
> sourceware.org/glibc/wiki/Contribution checklist

Done. not sure whatto do next. i have also uploaded the locale along with it.
Comment 6 Jor Teron 2013-08-08 14:12:39 IST
Created attachment 7137 [details]
karbi Languages locale for India

The locale has been updated with comment. but there are few FIXME required.
Comment 7 Jor Teron 2013-08-08 14:19:46 IST
(In reply to Andreas Jaeger from comment #4)
> I don't think that "ka" is the right language tag from ISO 639 for Karbi.
> "ka" is reserved for Georgian.
> 
> According to http://en.wikipedia.org/wiki/Karbi_language it should be "mjw".
> 
> Can you confirm that mjw_IN would be the correct name for this and update
> the locale file for this?
> 
> Also, you just copy the values from hi_IN. Are the names of weekdays,
> months, "yes" and "no" etc. really the same?

Yes. mjw_IN is the correct name for the locale. sorry for not looking at ISO-639-3 before. 

i have updated weekdays, months, LC_NAME (need fix) with comments. 'Yes' and 'No' remain the same (comment given).
Comment 8 Jor Teron 2016-02-22 11:15:23 IST
Is it Ok to change status to resolved?
Comment 9 Mike Frysinger 2016-02-22 16:32:12 IST
(In reply to Jor Teron from comment #8)

the locale hasn't been posted to the mailing list or merged yet.  once that is done, the bug will be closed and the milestone updated.

atm we're focusing on tooling for updating/checking localedata files.  once that's in place, we'll look at adding new locales as we'll be able to run sanity checks on them.
Comment 10 Mike FABIAN 2017-10-19 09:31:07 IST
What is the name of the country “India” in Karbi language?
Comment 11 Mike FABIAN 2017-10-19 09:34:27 IST
Are you sure about the 3;2 grouping for numbers?:

LC_NUMERIC
decimal_point           "."
thousands_sep           ","
grouping                3;2
END LC_NUMERIC
Comment 12 Mike FABIAN 2017-10-19 09:54:45 IST
Created attachment 10540 [details]
mjw_IN

I am working on including your new locale into glibc.

The attached file is what I currently have, starting from
your file and editing it a bit. The changes to your original are:

--- mjw_IN.orig	2017-10-18 18:48:18.440680567 +0200
+++ mjw_IN	2017-10-19 11:04:28.175829218 +0200
@@ -1,21 +1,22 @@
-comment_char 	%
-escape_char  	/
+comment_char %
+escape_char /
 
-% Karbi Language Locale for India
-% Language: mjw
-% Territory: IN
-% Revision: 1.1
-% Date: 2013-08-08
-% Application: general
-% Users: general
+% This file is part of the GNU C Library and contains locale data.
+% The Free Software Foundation does not claim any copyright interest
+% in the locale data contained in this file.  The foregoing does not
+% affect the license of the GNU C Library as a whole.  It does not
+% exempt you from the conditions of the license if your use would
+% otherwise be governed by that license.
 
+% Karbi Language Locale for India.
+% Contributed  by Jor Teron <jor.teron@gmail.com>.
 
 LC_IDENTIFICATION
 title      "Karbi language locale for India"
 source     "Jor Teron"
 address    ""
 contact    ""
-email      ""
+email      "bug-glibc-locales@gnu.org"
 tel        ""
 fax        ""
 language   "Karbi"
@@ -23,20 +24,19 @@
 revision   "1.1"
 date       "2013-08-08"
 
-category  "mjw:2000";LC_IDENTIFICATION
-category  "mjw:2000";LC_CTYPE
-category  "mjw:2000";LC_COLLATE
-category  "mjw:2000";LC_TIME
-category  "mjw:2000";LC_NUMERIC
-category  "mjw:2000";LC_MONETARY
-category  "mjw:2000";LC_MESSAGES
-category  "mjw:2000";LC_PAPER
-category  "mjw:2000";LC_NAME
-category  "mjw:2000";LC_ADDRESS
-category  "mjw:2000";LC_TELEPHONE
+category  "i18n:2012";LC_IDENTIFICATION
+category  "i18n:2012";LC_CTYPE
+category  "i18n:2012";LC_COLLATE
+category  "i18n:2012";LC_TIME
+category  "i18n:2012";LC_NUMERIC
+category  "i18n:2012";LC_MONETARY
+category  "i18n:2012";LC_MESSAGES
+category  "i18n:2012";LC_PAPER
+category  "i18n:2012";LC_NAME
+category  "i18n:2012";LC_ADDRESS
+category  "i18n:2012";LC_TELEPHONE
 END LC_IDENTIFICATION
 
-
 LC_COLLATE
 % Copy the template from ISO/IEC 14651
 copy "iso14651_t1"
@@ -51,94 +51,58 @@
 END LC_MONETARY
 
 LC_NUMERIC
-decimal_point           "<U002E>"
-thousands_sep           "<U002C>"
+decimal_point           "."
+thousands_sep           ","
 grouping                3;2
 END LC_NUMERIC
 
 LC_MESSAGES
-% ^[yY]
-yesexpr     "<U005E><U005B><U0079><U0059><U005D>"
-
-% ^[nN]
-noexpr      "<U005E><U005B><U006E><U004E><U005D>"
+yesexpr     "^[+1yY]"
+noexpr      "^[-0nN]"
 
 % There are no exact or fixed words for 'Yes' and 'No'.
-% The closest words are 'Chok', 'Chokche' and 'Kalang', 'Kali' respectively. They both are also translate as 'True', 'False' respectively.
+% The closest words are 'Chok', 'Chokche' and 'Kalang', 'Kali' respectively.
+% They both are also translate as 'True', 'False' respectively.
 % 'Kali' is also interpreted as 'Not'.
 % 'Chok' is also interpreted as 'Correct' and 'Ok'.
 % 'Chokche' is interpreted as 'Incorrect' and 'Not Ok'.
-% While 'Ahok' is the word for 'True', there is no word for 'False' and is compensated with 'Ahok Kali', which translate to 'Not True'. 
-% In these situation 'Yes' and 'No' will be the correct string.
-
-% Yes
-yesstr      "<U0059><U0065><U0073>"
+% While 'Ahok' is the word for 'True', there is no word for
+% 'False' and is compensated with 'Ahok Kali', which translate to 'Not True'.
+% In these situation 'yes' and 'no' will be the correct string.
 
-% No
-nostr       "<U004E><U006F>"
+yesstr      "yes"
+nostr       "no"
 END LC_MESSAGES
 
 LC_TIME
-% Bhom, Ur, Dur, Thel, Them, Bhta, Bhti
-abday       "<U0042><U0068><U006F><U006D>";"<U0055><U0072>";/
-            "<U0044><U0075><U0072>";"<U0054><U006B><U0065><U006C>";/
-            "<U0054><U006B><U0065><U006D>";"<U0042><U0068><U0074><U0061>";/
-            "<U0042><U0068><U0074><U0069>"
-
-% Bhomkuru, Urmi, Durmi, Thelang, Theman, Bhomta, Bhomti
-day       "<U0042><U0068><U006F><U006D><U006B><U0075><U0072><U0075>";/
-          "<U0055><U0072><U006D><U0069>";/
-          "<U0044><U0075><U0072><U006D><U0069>";/
-          "<U0054><U006B><U0065><U006C><U0061><U006E><U00>";/
-          "<U0054><U006B><U0065><U006D><U0061><U006E>";/
-          "<U0042><U0068><U006F><U006D><U0074><U0061>";/
-          "<U0042><U0068><U006F><U006D><U0074><U0069>"
-
-% Ark, Thang, The, Jang, Aru, Vos, Jak, Pai, Chi, Phe, Phai, Mati
-abmon       "<U0041><U0072><U006B";"<U0054><U0068><U0061><U006E><U0067>";/
-       "<U0054><U0068><U0065>";"<U004A><U0061><U006E><U0067>";/
-       "<U0041><U0072><U0075>";"<U0056><U006F><U0073>";/
-       "<U004A><U0061><U006B>";"<U0050><U0061><U0069>";/
-       "<U0043><U0068><U0069>";"<U0050><U0068><U0065>";/
-       "<U0050><U0068><U0061><U0069>";"<U004D><U0061><U0074><U0069>"
-
-% Arkoi, Thangthang, There, Jangmi, Aru, Vosik, Jakhong, Paipai, Chiti, Phere, Phaikuni, Matijong
-mon       "<U0041><U0072><U006B><U006F><U0069>";/
-       "<U0054><U0068><U0061><U006E><U0067><U0074><U0068><U0061><U006E><U0067>";/
-       "<U0054><U0068><U0065><U0072><U0065>";/
-       "<U004A><U0061><U006E><U0067><U006D><U0069>";/
-       "<U0041><U0072><U0075>";/
-       "<U0056><U006F><U0073><U0069><U006B>";/
-       "<U004A><U0061><U006B><U0068><U006F><U006E><U0067>";/
-       "<U0050><U0061><U0069><U0070><U0061><U0069>";/
-       "<U0043><U0068><U0069><U0074><U0069>";/
-       "<U0050><U0068><U0065><U0072><U0065>";/
-       "<U0050><U0068><U0061><U0069><U006B><U0075><U006E><U0069";/
-       "<U004D><U0061><U0074><U0069><U006A><U006F><U006E><U0067>"
+abday "Bhom";"Ur";"Dur";"Tkel";"Tkem";"Bhta";"Bhti"
+day   "Bhomkuru";"Urmi";"Durmi";"Thelang";"Theman";"Bhomta";"Bhomti"
+abmon "Ark";"Thang";"The";"Jang";"Aru";"Vos";/
+      "Jak";"Pai";"Chi";"Phe";"Phai";"Mati"
+mon   "Arkoi";"Thangthang";"There";"Jangmi";"Aru";"Vosik";/
+      "Jakhong";"Paipai";"Chiti";"Phere";"Phaikuni";"Matijong"
 
 % Equivalent of AM PM
-am_pm       "<U0041><U004D>";"<U0050><U004D>"
+am_pm       "AM";"PM"
 
 % Appropriate date and time representation
-% %A %d %B %Y %I:%M:%S  %Z
-d_t_fmt     "<U0025><U0041><U0020><U0025><U0064><U0020><U0025><U0042><U0020><U0025><U0059><U0020><U0025><U0049><U003A><U0025><U004D><U003A><U0025><U0053><U0020><U0025><U0070><U0020><U0025><U005A>"
+d_t_fmt     "%A %d %B %Y %I:%M:%S %p %Z"
 
 % Appropriate date representation
-% %A %d %B %Y
-d_fmt       "<U0025><U0041><U0020><U0025><U0064><U0020><U0025><U0042><U0020><U0025><U0059>"
+d_fmt        "%A %d %B %Y"
 
 % Appropriate time representation
-% %I:%M:%S  %Z
-t_fmt       "<U0025><U0049><U003A><U0025><U004D><U003A><U0025><U0053><U0020><U0020><U0025><U005A>"
+t_fmt       "%I:%M:%S  %Z"
 
 % Appropriate 12 h time representation (%r)
-t_fmt_ampm  "<U0025><U0049><U003A><U0025><U004D><U003A><U0025><U0053><U0020><U0025><U0070><U0020><U0025><U005A>"
+t_fmt_ampm  "%I:%M:%S %p %Z"
 
+week 7;19971130;1
 first_weekday 1
 END LC_TIME
 
 LC_PAPER
-copy "hi_IN"
+copy "i18n"
 END LC_PAPER
 
 LC_TELEPHONE
@@ -146,14 +110,11 @@
 END LC_TELEPHONE
 
 LC_MEASUREMENT
-copy "hi_IN"
+copy "i18n"
 END LC_MEASUREMENT
 
 LC_NAME
 % Format for addressing a person.
-name_fmt    "<U0025><U0064><U0025><U0074><U0025><U0067><U0025><U0074>/
-<U0025><U006D><U0025><U0074><U0025><U0066>"
-% "%d%t%g%t%m%t%f"
 % "Salutation",
 % "Empty string, or <Space>",
 % "First given name",
@@ -161,26 +122,35 @@
 % "Middle names",
 % "Empty string, or <Space>",
 % "Clan names"
+name_fmt    "%d%t%g%t%m%t%f"
 
 % General salutation for any sex - ""
 name_gen    ""
 
 % Salutation for unmarried females - "Sami"
-name_miss   "<U0053><U0061><U006D><U0069>"
+name_miss   "Sami"
 
 % FIXME: Salutation for unmarried males - "Thare"
-% name_mr     "<U0054><U0068><U0061><U0072><U0065>"
+% name_mr   "Thare"
 
 % FIXME: Salutation for married males - "Sangho"
-% name_mr     "<U0053><U0061><U006E><U0067><U0068><U006F>"
+% name_mr    "Sangho"
 
 % Salutation for married females - "Sangpi"
-name_mrs    "<U0053><U0061><U006E><U0067><U0070><U0069>"
+name_mrs    "Sangpi"
 
 % Salutation valid for all females - "" (no term)
 name_ms     ""
 END LC_NAME
 
 LC_ADDRESS
-copy "en_IN"
+postal_fmt  "%z%c%T%s%b%e%r"
+country_name "India"
+country_ab2  "IN"
+country_ab3  "IND"
+country_num  356
+country_car  "IND"
+lang_name    "Karbi"
+lang_term    "mjw"
+lang_lib     "mjw"
 END LC_ADDRESS
Comment 13 Jor Teron 2017-10-19 11:08:19 IST
Created attachment 10541 [details]
attachment-33893-0.html

Name of India in Karbi language is "Bhorot".

On 19-Oct-2017 3:01 PM, "maiku.fabian at gmail dot com" <
sourceware-bugzilla@sourceware.org> wrote:

> https://sourceware.org/bugzilla/show_bug.cgi?id=13994
>
> --- Comment #10 from Mike FABIAN <maiku.fabian at gmail dot com> ---
>
> What is the name of the country “India” in Karbi language?
>
> --
> You are receiving this mail because:
> You are on the CC list for the bug.
> You reported the bug.
Comment 14 Jor Teron 2017-10-19 11:11:03 IST
Created attachment 10542 [details]
attachment-69648-0.html

The decimal grouping is 3;2 .

On 19-Oct-2017 3:04 PM, "maiku.fabian at gmail dot com" <
sourceware-bugzilla@sourceware.org> wrote:

> https://sourceware.org/bugzilla/show_bug.cgi?id=13994
>
> --- Comment #11 from Mike FABIAN <maiku.fabian at gmail dot com> ---
> Are you sure about the 3;2 grouping for numbers?:
>
> LC_NUMERIC
> decimal_point           "."
> thousands_sep           ","
> grouping                3;2
> END LC_NUMERIC
>
> --
> You are receiving this mail because:
> You are on the CC list for the bug.
> You reported the bug.
Comment 15 Mike FABIAN 2017-10-19 13:59:31 IST
(In reply to Jor Teron from comment #14)
> Created attachment 10542 [details]
> attachment-69648-0.html
> 
> The decimal grouping is 3;2 .

So this is OK?:

[root@taka /]# LC_ALL=mjw_IN.UTF-8 /usr/bin/printf "%'.2f\n" 5000000.5
50,00,000.50
Comment 16 Jor Teron 2017-10-19 14:03:18 IST
Created attachment 10543 [details]
attachment-116644-0.html

Yes. It is Ok.

On 19-Oct-2017 7:29 PM, "maiku.fabian at gmail dot com" <
sourceware-bugzilla@sourceware.org> wrote:

> https://sourceware.org/bugzilla/show_bug.cgi?id=13994
>
> --- Comment #15 from Mike FABIAN <maiku.fabian at gmail dot com> ---
> (In reply to Jor Teron from comment #14)
> > Created attachment 10542 [details]
> > attachment-69648-0.html
> >
> > The decimal grouping is 3;2 .
>
> So this is OK?:
>
> [root@taka /]# LC_ALL=mjw_IN.UTF-8 /usr/bin/printf "%'.2f\n" 5000000.5
> 50,00,000.50
>
> --
> You are receiving this mail because:
> You are on the CC list for the bug.
> You reported the bug.
Comment 17 cvs-commit@gcc.gnu.org 2017-10-19 14:12:33 IST
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The branch, master has been updated
       via  4b0fa403ab14d046e1b13de397016cef1c06acae (commit)
      from  81325b12b14c44887f1633a2c180a413afc2b504 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=4b0fa403ab14d046e1b13de397016cef1c06acae

commit 4b0fa403ab14d046e1b13de397016cef1c06acae
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Oct 19 15:15:01 2017 +0200

    Add new locale mjw_IN [BZ #13994]
    
    	[BZ #13994]
    	* locale/iso-639.def: Add Karbi.
    	* localedata/SUPPORTED: Add mjw_IN/UTF-8.
    	* localedata/locales/mjw_IN: New file.

-----------------------------------------------------------------------

Summary of changes:
 ChangeLog                 |    7 ++
 locale/iso-639.def        |    1 +
 localedata/SUPPORTED      |    1 +
 localedata/locales/mjw_IN |  156 +++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 165 insertions(+), 0 deletions(-)
 create mode 100644 localedata/locales/mjw_IN
Comment 18 Mike FABIAN 2017-10-19 14:13:20 IST
Fixed in glibc master.